# Profit Analysis Flows

`GET` `/v1/portfolio/profit-analysis/flows`

Query account cash flow history including deposits, withdrawals, dividends, and settlements.

## Parameters

### Query Parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `symbol` | string | Yes | Security symbol |
| `page` | integer | No | Page number (default: 1) |
| `size` | integer | No | Page size (default: 20) |
| `derivative` | boolean | No | Include derivative positions |

## Request Example

```bash
curl --request GET \
  --url 'https://openapi.longbridge.com/v1/portfolio/profit-analysis/flows?symbol=<symbol>' \
  --header 'Authorization: Bearer <access_token>'
```

## Response

### Response Properties

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `flows_list` | object[] | Yes | Paginated list of flow items |
| `└ executed_date` | string | Yes | Execution date (e.g. `2024-01-15`) |
| `└ executed_timestamp` | string | No | Execution timestamp |
| `└ code` | string | No | Security code |
| `└ direction` | string | No | Direction: `In` or `Out` |
| `└ executed_quantity` | string | No | Executed quantity |
| `└ executed_price` | string | No | Executed price |
| `└ executed_cost` | string | No | Executed cost |
| `└ describe` | string | No | Human-readable description |
| `has_more` | boolean | No | Whether there are more pages |

### Response JSON Example

```json
{
  "code": 0,
  "message": "success",
  "data": {
    "has_more": false,
    "flows_list": [
      {
        "code": "AAPL",
        "symbol": "AAPL.US",
        "direction": "In",
        "executed_date": "2025-11-22",
        "executed_timestamp": "1763769600",
        "executed_quantity": "10",
        "executed_price": "180.50",
        "executed_cost": "1805.00",
        "describe": "Buy AAPL.US"
      }
    ]
  }
}
```
